import { Context, PublicKey, RpcBaseOptions } from '@metaplex-foundation/umi';
import { Mint, Token } from './generated';
export type FetchTokenStrategy = 'getTokenAccountsByOwner' | 'getProgramAccounts';
export type FetchTokenAmountFilter = (amount: bigint) => boolean;
export declare const fetchAllTokenByOwner: (context: Pick<Context, 'rpc' | 'serializer' | 'programs'>, owner: PublicKey, options?: RpcBaseOptions & {
    mint?: PublicKey;
    tokenStrategy?: FetchTokenStrategy;
    tokenAmountFilter?: FetchTokenAmountFilter;
}) => Promise<Array<Token>>;
export declare const fetchAllTokenByOwnerAndMint: (context: Pick<Context, 'rpc' | 'serializer' | 'programs'>, owner: PublicKey, mint: PublicKey, options?: RpcBaseOptions & {
    tokenStrategy?: FetchTokenStrategy;
    tokenAmountFilter?: FetchTokenAmountFilter;
}) => Promise<Array<Token>>;
export declare const fetchAllMintPublicKeyByOwner: (context: Pick<Context, 'rpc' | 'serializer' | 'programs'>, owner: PublicKey, options?: RpcBaseOptions & {
    tokenStrategy?: FetchTokenStrategy;
    tokenAmountFilter?: FetchTokenAmountFilter;
}) => Promise<Array<PublicKey>>;
export declare const fetchAllMintByOwner: (context: Pick<Context, 'rpc' | 'serializer' | 'programs'>, owner: PublicKey, options?: RpcBaseOptions & {
    tokenStrategy?: FetchTokenStrategy;
    tokenAmountFilter?: FetchTokenAmountFilter;
}) => Promise<Array<Mint>>;
export declare const fetchTokensByOwner: (context: Pick<Context, 'rpc' | 'serializer' | 'programs'>, owner: PublicKey, options?: RpcBaseOptions & {
    mint?: PublicKey;
    tokenStrategy?: FetchTokenStrategy;
    tokenAmountFilter?: FetchTokenAmountFilter;
}) => Promise<Array<Token>>;
export declare const fetchTokensByOwnerAndMint: (context: Pick<Context, 'rpc' | 'serializer' | 'programs'>, owner: PublicKey, mint: PublicKey, options?: RpcBaseOptions & {
    tokenStrategy?: FetchTokenStrategy;
    tokenAmountFilter?: FetchTokenAmountFilter;
}) => Promise<Array<Token>>;
