"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.amountToUiAmount = exports.getAmountToUiAmountInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getAmountToUiAmountInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.u8()],
        ['amount', s.u64()],
    ], { description: 'AmountToUiAmountInstructionData' }), (value) => ({ ...value, discriminator: 23 }));
}
exports.getAmountToUiAmountInstructionDataSerializer = getAmountToUiAmountInstructionDataSerializer;
function amountToUiAmount(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('splToken', 'TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA');
    const mintAccount = input.mint;
    keys.push({
        pubkey: mintAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(mintAccount, false),
    });
    const data = getAmountToUiAmountInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.amountToUiAmount = amountToUiAmount;
//# sourceMappingURL=amountToUiAmount.js.map