import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type MintTokensToCheckedInstructionAccounts = {
    mint: PublicKey;
    token: PublicKey;
    mintAuthority: Signer;
};
export type MintTokensToCheckedInstructionData = {
    discriminator: number;
    amount: bigint;
    decimals: number;
};
export type MintTokensToCheckedInstructionDataArgs = {
    amount: number | bigint;
    decimals: number;
};
export declare function getMintTokensToCheckedInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MintTokensToCheckedInstructionDataArgs, MintTokensToCheckedInstructionData>;
export declare function mintTokensToChecked(context: Pick<Context, 'serializer' | 'programs'>, input: MintTokensToCheckedInstructionAccounts & MintTokensToCheckedInstructionDataArgs): TransactionBuilder;
