import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { AuthorityType, AuthorityTypeArgs } from '../types';
export type SetAuthorityInstructionAccounts = {
    owned: PublicKey;
    owner: PublicKey | Signer;
};
export type SetAuthorityInstructionData = {
    discriminator: number;
    authorityType: AuthorityType;
    newAuthority: Option<PublicKey>;
};
export type SetAuthorityInstructionDataArgs = {
    authorityType: AuthorityTypeArgs;
    newAuthority: Option<PublicKey>;
};
export declare function getSetAuthorityInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<SetAuthorityInstructionDataArgs, SetAuthorityInstructionData>;
export declare function setAuthority(context: Pick<Context, 'serializer' | 'programs'>, input: SetAuthorityInstructionAccounts & SetAuthorityInstructionDataArgs): TransactionBuilder;
