"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setAuthority = exports.getSetAuthorityInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const types_1 = require("../types");
function getSetAuthorityInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.u8()],
        ['authorityType', (0, types_1.getAuthorityTypeSerializer)(context)],
        ['newAuthority', s.option(s.publicKey())],
    ], { description: 'SetAuthorityInstructionData' }), (value) => ({ ...value, discriminator: 6 }));
}
exports.getSetAuthorityInstructionDataSerializer = getSetAuthorityInstructionDataSerializer;
function setAuthority(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('splToken', 'TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA');
    const ownedAccount = input.owned;
    const ownerAccount = input.owner;
    keys.push({
        pubkey: ownedAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(ownedAccount, true),
    });
    if ((0, umi_1.isSigner)(ownerAccount)) {
        signers.push(ownerAccount);
    }
    keys.push({
        pubkey: (0, umi_1.publicKey)(ownerAccount),
        isSigner: (0, umi_1.isSigner)(ownerAccount),
        isWritable: (0, umi_1.checkForIsWritableOverride)(ownerAccount, false),
    });
    const data = getSetAuthorityInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.setAuthority = setAuthority;
//# sourceMappingURL=setAuthority.js.map