import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type TransferTokensCheckedInstructionAccounts = {
    source: PublicKey;
    mint: PublicKey;
    destination: PublicKey;
    authority?: Signer;
};
export type TransferTokensCheckedInstructionData = {
    discriminator: number;
    amount: bigint;
    decimals: number;
};
export type TransferTokensCheckedInstructionDataArgs = {
    amount: number | bigint;
    decimals: number;
};
export declare function getTransferTokensCheckedInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferTokensCheckedInstructionDataArgs, TransferTokensCheckedInstructionData>;
export declare function transferTokensChecked(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: TransferTokensCheckedInstructionAccounts & TransferTokensCheckedInstructionDataArgs): TransactionBuilder;
